package com.jzdsh.auto.app.controller;

import com.jfinal.core.Controller;
import com.jfinal.core.NotAction;

public class BaseController extends Controller {
    /**
     * 获取登录账户id
     * 确保在 FrontAuthInterceptor 之下使用，或者 isLogin() 为 true 时使用
     * 也即确定已经是在登录后才可调用
     */
    @NotAction
    public int getLoginAccountId() {
        return getSessionAttr("urserId");
    }

    @NotAction
    public boolean isPjaxRequest() {
        return "true".equalsIgnoreCase(getHeader("X-PJAX"));
    }

    @NotAction
    public boolean isAjaxRequest() {
        return "XMLHttpRequest".equalsIgnoreCase(getHeader("X-Requested-With"));
    }
}
